<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__crypto__des__buffers__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_crypto_des_buffers_t</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__crypto__des__buffers__t_1a5e20800d11666c58095343c13dde2adf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_crypto_des_buffers_t::block0[CY_CRYPTO_DES_KEY_BYTE_LENGTH/4u]</definition>
        <argsstring>[CY_CRYPTO_DES_KEY_BYTE_LENGTH/4u]</argsstring>
        <name>block0</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_des_v1.c" bodystart="47" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_des_v1.c" line="47" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__des__buffers__t_1a2af5bd1ba39ed000050f22e6fc90dd46" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_crypto_des_buffers_t::block1[CY_CRYPTO_DES_KEY_BYTE_LENGTH/4u]</definition>
        <argsstring>[CY_CRYPTO_DES_KEY_BYTE_LENGTH/4u]</argsstring>
        <name>block1</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_des_v1.c" bodystart="48" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_des_v1.c" line="48" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__des__buffers__t_1a914e02926977438f99ed0ce11ae1f0b0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_crypto_des_buffers_t::key[(CY_CRYPTO_DES_KEY_BYTE_LENGTH/4u) *3u]</definition>
        <argsstring>[(CY_CRYPTO_DES_KEY_BYTE_LENGTH/4u) *3u]</argsstring>
        <name>key</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_des_v1.c" bodystart="49" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_des_v1.c" line="49" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="50" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_des_v1.c" bodystart="45" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_des_v1.c" line="46" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__crypto__des__buffers__t_1a5e20800d11666c58095343c13dde2adf" virt="non-virtual"><scope>cy_stc_crypto_des_buffers_t</scope><name>block0</name></member>
      <member prot="public" refid="structcy__stc__crypto__des__buffers__t_1a2af5bd1ba39ed000050f22e6fc90dd46" virt="non-virtual"><scope>cy_stc_crypto_des_buffers_t</scope><name>block1</name></member>
      <member prot="public" refid="structcy__stc__crypto__des__buffers__t_1a914e02926977438f99ed0ce11ae1f0b0" virt="non-virtual"><scope>cy_stc_crypto_des_buffers_t</scope><name>key</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>